# azure.mgmt.containerregistry.v2017_10_01.models module

class `azure.mgmt.containerregistry.v2017_10_01.models.``Actor`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The agent that initiated the event. For most situations, this could be from the authorization context of the request.

  Parameters: | name (str) – The subject or username associated with the request context that generated the event.

class `azure.mgmt.containerregistry.v2017_10_01.models.``CallbackConfig`(*, service_uri: str, custom_headers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The configuration of service URI and custom headers for the webhook.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - service_uri (str) – Required. The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Event`(*, id: str = None, event_request_message=None, event_response_message=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2017_10_01.models._models_py3.EventInfo`

  The event for a webhook.

  Parameters:

  - id (str) – The event ID.
  - event_request_message (EventRequestMessage) – The event request message sent to the service URI.
  - event_response_message (EventResponseMessage) – The event response message received from the service URI.

class `azure.mgmt.containerregistry.v2017_10_01.models.``EventContent`(*, id: str = None, timestamp=None, action: str = None, target=None, request=None, actor=None, source=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The content of the event request message.

  Parameters:

  - id (str) – The event ID.
  - timestamp (datetime) – The time at which the event occurred.
  - action (str) – The action that encompasses the provided event.
  - target (Target) – The target of the event.
  - request (Request) – The request that generated the event.
  - actor (Actor) – The agent that initiated the event. For most situations, this could be from the authorization context of the request.
  - source (Source) – The registry node that generated the event. Put differently, while the actor initiates the event, the source generates it.

class `azure.mgmt.containerregistry.v2017_10_01.models.``EventInfo`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The basic information of an event.

  Parameters: | id (str) – The event ID.

class `azure.mgmt.containerregistry.v2017_10_01.models.``EventRequestMessage`(*, content=None, headers=None, method: str = None, request_uri: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The event request message sent to the service URI.

  Parameters:

  - content (EventContent) – The content of the event request message.
  - headers (dict[str, str]) – The headers of the event request message.
  - method (str) – The HTTP method used to send the event request message.
  - request_uri (str) – The URI used to send the event request message.
  - version (str) – The HTTP message version.

class `azure.mgmt.containerregistry.v2017_10_01.models.``EventResponseMessage`(*, content: str = None, headers=None, reason_phrase: str = None, status_code: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The event response message received from the service URI.

  Parameters:

  - content (str) – The content of the event response message.
  - headers (dict[str, str]) – The headers of the event response message.
  - reason_phrase (str) – The reason phrase of the event response message.
  - status_code (str) – The status code of the event response message.
  - version (str) – The HTTP message version.

class `azure.mgmt.containerregistry.v2017_10_01.models.``ImportImageParameters`(*, source, target_tags=None, untagged_target_repositories=None, mode='NoForce', **kwargs)

  Bases: `msrest.serialization.Model`

  ImportImageParameters.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source (ImportSource) – Required. The source of the image.
  - target_tags (list[str]) – List of strings of the form repo[:tag]. When tag is omitted the source will be used (or ‘latest’ if source tag is also omitted).
  - untagged_target_repositories (list[str]) – List of strings of repository names to do a manifest only copy. No tag will be created.
  - mode (str or ImportMode) – When Force, any existing target tags will be overwritten. When NoForce, any existing target tags will fail the operation before any copying begins. Possible values include: ‘NoForce’, ‘Force’. Default value: “NoForce” .

class `azure.mgmt.containerregistry.v2017_10_01.models.``ImportSource`(*, source_image: str, resource_id: str = None, registry_uri: str = None, credentials=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ImportSource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - resource_id (str) – The resource identifier of the source Azure Container Registry.
  - registry_uri (str) – The address of the source registry (e.g. ‘mcr.microsoft.com’).
  - credentials (ImportSourceCredentials) – Credentials used when importing from a registry uri.
  - source_image (str) – Required. Repository name of the source image. Specify an image by repository (‘hello-world’). This will use the ‘latest’ tag. Specify an image by tag (‘hello-world:latest’). Specify an image by sha256-based manifest digest (‘hello-world@sha256:abc123’).

class `azure.mgmt.containerregistry.v2017_10_01.models.``ImportSourceCredentials`(*, password: str, username: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ImportSourceCredentials.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - username (str) – The username to authenticate with the source registry.
  - password (str) – Required. The password used to authenticate with the source registry.

class `azure.mgmt.containerregistry.v2017_10_01.models.``IPRule`(*, ip_address_or_range: str, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  IP rule with specific IP or IP range in CIDR format.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - action (str or Action) – The action of IP ACL rule. Possible values include: ‘Allow’. Default value: “Allow” .
  - ip_address_or_range (str) – Required. Specifies the IP or IP range in CIDR format. Only IPV4 address is allowed.

class `azure.mgmt.containerregistry.v2017_10_01.models.``NetworkRuleSet`(*, default_action='Allow', virtual_network_rules=None, ip_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The network rule set for a container registry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - default_action (str or DefaultAction) – Required. The default action of allow or deny when no other rules match. Possible values include: ‘Allow’, ‘Deny’. Default value: “Allow” .
  - virtual_network_rules (list[VirtualNetworkRule]) – The virtual network rules.
  - ip_rules (list[IPRule]) – The IP ACL rules.

class `azure.mgmt.containerregistry.v2017_10_01.models.``OperationDefinition`(*, origin: str = None, name: str = None, display=None, service_specification=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of a container registry operation.

  Parameters:

  - origin (str) – The origin information of the container registry operation.
  - name (str) – Operation name: {provider}/{resource}/{operation}.
  - display (OperationDisplayDefinition) – The display information for the container registry operation.
  - service_specification (OperationServiceSpecificationDefinition) – The definition of Azure Monitoring service.

class `azure.mgmt.containerregistry.v2017_10_01.models.``OperationDisplayDefinition`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The display information for a container registry operation.

  Parameters:

  - provider (str) – The resource provider name: Microsoft.ContainerRegistry.
  - resource (str) – The resource on which the operation is performed.
  - operation (str) – The operation that users can perform.
  - description (str) – The description for the operation.

class `azure.mgmt.containerregistry.v2017_10_01.models.``OperationMetricSpecificationDefinition`(*, name: str = None, display_name: str = None, display_description: str = None, unit: str = None, aggregation_type: str = None, internal_metric_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of Azure Monitoring metric.

  Parameters:

  - name (str) – Metric name.
  - display_name (str) – Metric display name.
  - display_description (str) – Metric description.
  - unit (str) – Metric unit.
  - aggregation_type (str) – Metric aggregation type.
  - internal_metric_name (str) – Internal metric name.

class `azure.mgmt.containerregistry.v2017_10_01.models.``OperationServiceSpecificationDefinition`(*, metric_specifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of Azure Monitoring metrics list.

  Parameters: | metric_specifications (list[OperationMetricSpecificationDefinition]) – A list of Azure Monitoring metrics definition.

class `azure.mgmt.containerregistry.v2017_10_01.models.``QuarantinePolicy`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents quarantine policy for a container registry.

  Parameters: | status (str or PolicyStatus) – The value that indicates whether the policy is enabled or not. Possible values include: ‘enabled’, ‘disabled’

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegenerateCredentialParameters`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used to regenerate the login credential.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or PasswordName) – Required. Specifies name of the password which should be regenerated – password or password2. Possible values include: ‘password’, ‘password2’

class `azure.mgmt.containerregistry.v2017_10_01.models.``Registry`(*, location: str, sku, tags=None, admin_user_enabled: bool = False, storage_account=None, network_rule_set=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2017_10_01.models._models_py3.Resource`

  An object that represents a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - login_server (str) – The URL that can be used to log into the container registry.
  - creation_date (datetime) – The creation date of the container registry in ISO8601 format.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the container registry at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - status (Status) – The status of the container registry at the time the operation was called.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - sku (Sku) – Required. The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled. Default value: False .
  - storage_account (StorageAccountProperties) – The properties of the storage account for the container registry. Only applicable to Classic SKU.
  - network_rule_set (NetworkRuleSet) – The network rule set for a container registry.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryListCredentialsResult`(*, username: str = None, passwords=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response from the ListCredentials operation.

  Parameters:

  - username (str) – The username for a container registry.
  - passwords (list[RegistryPassword]) – The list of passwords for a container registry.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryNameCheckRequest`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  A request to check whether a container registry name is available.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The name of the container registry.
  Variables: | type (str) – Required. The resource type of the container registry. This field must be set to ‘Microsoft.ContainerRegistry/registries’. Default value: “Microsoft.ContainerRegistry/registries” .

  `type` = 'Microsoft.ContainerRegistry/registries'

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryNameStatus`(*, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of a request to check the availability of a container registry name.

  Parameters:

  - name_available (bool) – The value that indicates whether the name is available.
  - reason (str) – If any, the reason that the name is not available.
  - message (str) – If any, the error message that provides more detail for the reason that the name is not available.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryPassword`(*, name=None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The login password for the container registry.

  Parameters:

  - name (str or PasswordName) – The password name. Possible values include: ‘password’, ‘password2’
  - value (str) – The password value.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryPolicies`(*, quarantine_policy=None, trust_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents policies for a container registry.

  Parameters:

  - quarantine_policy (QuarantinePolicy) – An object that represents quarantine policy for a container registry.
  - trust_policy (TrustPolicy) – An object that represents content trust policy for a container registry.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryUpdateParameters`(*, tags=None, sku=None, admin_user_enabled: bool = None, storage_account=None, network_rule_set=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a container registry.

  Parameters:

  - tags (dict[str, str]) – The tags for the container registry.
  - sku (Sku) – The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled.
  - storage_account (StorageAccountProperties) – The parameters of a storage account for the container registry. Only applicable to Classic SKU. If specified, the storage account must be in the same physical location as the container registry.
  - network_rule_set (NetworkRuleSet) – The network rule set for a container registry.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryUsage`(*, name: str = None, limit: int = None, current_value: int = None, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The quota usage for a container registry.

  Parameters:

  - name (str) – The name of the usage.
  - limit (long) – The limit of the usage.
  - current_value (long) – The current value of the usage.
  - unit (str or RegistryUsageUnit) – The unit of measurement. Possible values include: ‘Count’, ‘Bytes’

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryUsageListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of a request to get container registry quota usages.

  Parameters: | value (list[RegistryUsage]) – The list of container registry quota usages.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Replication`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2017_10_01.models._models_py3.Resource`

  An object that represents a replication for a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the replication at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - status (Status) – The status of the replication at the time the operation was called.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.

class `azure.mgmt.containerregistry.v2017_10_01.models.``ReplicationUpdateParameters`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a replication.

  Parameters: | tags (dict[str, str]) – The tags for the replication.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Request`(*, id: str = None, addr: str = None, host: str = None, method: str = None, useragent: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The request that generated the event.

  Parameters:

  - id (str) – The ID of the request that initiated the event.
  - addr (str) – The IP or hostname and possibly port of the client connection that initiated the event. This is the RemoteAddr from the standard http request.
  - host (str) – The externally accessible hostname of the registry instance, as specified by the http host header on incoming requests.
  - method (str) – The request method that generated the event.
  - useragent (str) – The user agent header of the request.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Resource`(*, location: str, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Sku`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The SKU of a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or SkuName) – Required. The SKU name of the container registry. Required for registry creation. Possible values include: ‘Classic’, ‘Basic’, ‘Standard’, ‘Premium’
  Variables: | tier (str or SkuTier) – The SKU tier based on the SKU name. Possible values include: ‘Classic’, ‘Basic’, ‘Standard’, ‘Premium’

class `azure.mgmt.containerregistry.v2017_10_01.models.``Source`(*, addr: str = None, instance_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The registry node that generated the event. Put differently, while the actor initiates the event, the source generates it.

  Parameters:

  - addr (str) – The IP or hostname and the port of the registry node that generated the event. Generally, this will be resolved by os.Hostname() along with the running port.
  - instance_id (str) – The running instance of an application. Changes after each restart.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Status`(**kwargs)

  Bases: `msrest.serialization.Model`

  The status of an Azure resource at the time the operation was called.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - display_status (str) – The short label for the status.
  - message (str) – The detailed message for the status, including alerts and error messages.
  - timestamp (datetime) – The timestamp when the status was changed to the current value.

class `azure.mgmt.containerregistry.v2017_10_01.models.``StorageAccountProperties`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a storage account for a container registry. Only applicable to Classic SKU.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. The resource ID of the storage account.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Target`(*, media_type: str = None, size: int = None, digest: str = None, length: int = None, repository: str = None, url: str = None, tag: str = None, name: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The target of the event.

  Parameters:

  - media_type (str) – The MIME type of the referenced object.
  - size (long) – The number of bytes of the content. Same as Length field.
  - digest (str) – The digest of the content, as defined by the Registry V2 HTTP API Specification.
  - length (long) – The number of bytes of the content. Same as Size field.
  - repository (str) – The repository name.
  - url (str) – The direct URL to the content.
  - tag (str) – The tag name.
  - name (str) – The name of the artifact.
  - version (str) – The version of the artifact.

class `azure.mgmt.containerregistry.v2017_10_01.models.``TrustPolicy`(*, type=None, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents content trust policy for a container registry.

  Parameters:

  - type (str or TrustPolicyType) – The type of trust policy. Possible values include: ‘Notary’
  - status (str or PolicyStatus) – The value that indicates whether the policy is enabled or not. Possible values include: ‘enabled’, ‘disabled’

class `azure.mgmt.containerregistry.v2017_10_01.models.``VirtualNetworkRule`(*, virtual_network_resource_id: str, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  Virtual network rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - action (str or Action) – The action of virtual network rule. Possible values include: ‘Allow’. Default value: “Allow” .
  - virtual_network_resource_id (str) – Required. Resource ID of a subnet, for example: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{vnetName}/subnets/{subnetName}.

class `azure.mgmt.containerregistry.v2017_10_01.models.``Webhook`(*, location: str, actions, tags=None, status=None, scope: str = None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2017_10_01.models._models_py3.Resource`

  An object that represents a webhook for a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the webhook at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – Required. The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2017_10_01.models.``WebhookCreateParameters`(*, location: str, service_uri: str, actions, tags=None, custom_headers=None, status=None, scope: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for creating a webhook.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - tags (dict[str, str]) – The tags for the webhook.
  - location (str) – Required. The location of the webhook. This cannot be changed after the resource is created.
  - service_uri (str) – Required. The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – Required. The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2017_10_01.models.``WebhookUpdateParameters`(*, tags=None, service_uri: str = None, custom_headers=None, status=None, scope: str = None, actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a webhook.

  Parameters:

  - tags (dict[str, str]) – The tags for the webhook.
  - service_uri (str) – The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Registry` object

class `azure.mgmt.containerregistry.v2017_10_01.models.``OperationDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationDefinition` object

class `azure.mgmt.containerregistry.v2017_10_01.models.``ReplicationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Replication` object

class `azure.mgmt.containerregistry.v2017_10_01.models.``WebhookPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Webhook` object

class `azure.mgmt.containerregistry.v2017_10_01.models.``EventPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Event` object

class `azure.mgmt.containerregistry.v2017_10_01.models.``ImportMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `force` = 'Force'
  `no_force` = 'NoForce'

class `azure.mgmt.containerregistry.v2017_10_01.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `classic` = 'Classic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.containerregistry.v2017_10_01.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `classic` = 'Classic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.containerregistry.v2017_10_01.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.containerregistry.v2017_10_01.models.``DefaultAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'

class `azure.mgmt.containerregistry.v2017_10_01.models.``Action`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.containerregistry.v2017_10_01.models.``PasswordName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `password` = 'password'
  `password2` = 'password2'

class `azure.mgmt.containerregistry.v2017_10_01.models.``RegistryUsageUnit`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `bytes` = 'Bytes'
  `count` = 'Count'

class `azure.mgmt.containerregistry.v2017_10_01.models.``PolicyStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'disabled'
  `enabled` = 'enabled'

class `azure.mgmt.containerregistry.v2017_10_01.models.``TrustPolicyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `notary` = 'Notary'

class `azure.mgmt.containerregistry.v2017_10_01.models.``WebhookStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'disabled'
  `enabled` = 'enabled'

class `azure.mgmt.containerregistry.v2017_10_01.models.``WebhookAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `chart_delete` = 'chart_delete'
  `chart_push` = 'chart_push'
  `delete` = 'delete'
  `push` = 'push'
  `quarantine` = 'quarantine'